Bug 44908 - Home directory wrong after copying user object
Home directory wrong after copying user object
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 10:57 CEST by Florian Best
Modified: 2017-07-26 14:39 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-06-30 10:57:25 CEST
When copying a user via UMC the dependency mechanism is not triggered only once initially. This causes the the Unix home directory is set to "/home/" (default value is /home/<username>).
Comment 1 Johannes Keiser univentionstaff 2017-07-14 11:02:57 CEST
r 81171
univention-directory-manager-modules (12.0.17-91) 
* Bug #44908: mark e-mail property of user as not copyable

r 81172
univention-management-console-module-udm (7.0.10-18) 
* Bug #44908: use the template functionality when copying objects
to set the default values of properties

YAML: r 81173 | 81174
Comment 2 Alexander Kläser univentionstaff 2017-07-19 13:07:37 CEST
Changes: OK
YAML file: OK, I needed to update the package version and adapted the description

→ VERIFIED